Subject: bug#8399: 23.3; save-some-buffers ignores buffer names

From: Stefan Monnier <[email-masked]>
Date: Thu, 31 Mar 2011 21:01:05 -0400

> The attached patch (on Emacs-23 head) modifies the dialogue so that
> file-names are used in the dialogue only when they coincide with the
> buffer names.  Otherwise, buffer names are used preferentially.

I think the file-name is only useful when you have buffer "file",
"file<2>", "file<3>", ... so your check is going in the right direction
but it should also use file-name when the buffer name matches
(concat "\\<" (regexp-quote (file-name-nondirectory buffer-file-name))
"<[0-9]+>\\'"), and it should never use file-names when uniquify
is used.
IMNSHO,

        Stefan